// Datei: ./werkzeuge/paketoperationen/pakete-konfigurieren/dpkg-reconfigure.adoc

// Baustelle: Rohtext

[[dpkg-reconfigure]]
==== Konfiguration mit `dpkg-reconfigure` erneut durchführen ====

// Stichworte für den Index
(((debconf)))
(((debconf-get-selections)))
(((Debianpaket, debconf)))
(((Debianpaket, dpkg)))
(((Debianpaket, tzdata)))
(((dpkg-reconfigure)))
(((Konfigurationsdatei, /var/cache/debconf)))
(((Paket, erneut konfigurieren)))

Für diesen Schritt hilft Ihnen das Werkzeug `dpkg-reconfigure` aus dem
Paket 'debconf' <<Debian-Paket-debconf>> weiter. Es greift dazu auf
`debconf` zurück, welches wiederum eine Datenbank mit den
Konfigurationseinträgen ihrer Pakete unter `/var/cache/debconf` benutzt.

`dpkg-reconfigure` kennt diese Optionen zum Aufruf:

`-f` (Langform `--frontend`)::
Üblicherweise benutzt `dpkg-reconfigure` die nicht-interaktive
Schnittstelle auf der Basis von Dialog/Ncurses. Zur weiteren Auswahl
stehen Readline (interaktiv), via Gnome oder KDE, mit Hilfe eines
Texteditors oder die Eingabezeile (nicht interaktiv) zur Auswahl. In
<<fig.debconf>> sehen Sie den Einstellungsdialog für das Paket
'debconf', welchen Sie mittels `dpkg-reconfigure debconf` erreichen.

.Konfiguration des Pakets 'debconf'
image::werkzeuge/paketoperationen/pakete-konfigurieren/debconf.png[id="fig.debconf", width="50%"]

`--default-priority`::
verwendet 'low' als Schwellwert für die Fragen, die Ihnen für die
Konfiguration des Pakets gestellt werden

`--force`::
erzwingt eine Konfiguration des Pakets, selbst wenn sich dieses in einem
inkonsistenten oder defekten Zustand befindet

`--no-reload`::
verhindert das erneute Laden der Vorlagen. Nützlich insbesondere dann,
wenn die Vorlage defekt ist

`-p` (Langform `--priority`)::
setzt den Schwellwert für die Fragen, die Ihnen für die Konfiguration
des Pakets gestellt werden

`-u` (Langform `--unseen-only`)::
zeigt Ihnen die Fragen an, die ihnen noch nicht zur Konfiguration des
Pakets gestellt wurden

Mit dem Aufruf `dpkg-reconfigure` 'Paketname' konfigurieren Sie ein
bereits installiertes Paket erneut. Wir zeigen Ihnen das anhand des
Pakets 'tzdata' <<Debian-Paket-tzdata>>, welches die Einstellungen für
die Zeitzone steuert. Nach dem Aufruf zwei Dialogfenster -- der
Kontinent und die Stadt oder Region, die zu ihrer Zeitzone passt (siehe
<<fig.tzdata>>). Danach gibt ihnen `dpkg-reconfigure` die aktuelle
Zeitzone und die Uhrzeit aus -- jeweils in lokaler Zeit (hier
Mitteleuropäische Sommerzeit, kurz CEST) und in Universalzeit (Universal
Time, kurz UTC).

.Konfiguration des Pakets 'tzdata' und regionale Auswahl
image::werkzeuge/paketoperationen/pakete-konfigurieren/tzdata.png[id="fig.tzdata", width="50%"]

.Einstellung der Zeitzone
----
# dpkg-reconfigure tzdata

Current default time zone: 'Europe/Berlin'
Local time is now:      Sat Aug  6 00:46:08 CEST 2016.
Universal Time is now:  Fri Aug  5 22:46:08 UTC 2016.

#
----

// Datei (Ende): ./werkzeuge/paketoperationen/pakete-konfigurieren/dpkg-reconfigure.adoc

